<?php
include("../init.php");
if (isset($_SESSION['user'])) {
    header("location:index.php");
}
?>
<!DOCTYPE html>
<html lang="<?php echo $langcode; ?>">

<head>
    <meta charset="utf-8" />
    <link rel="apple-touch-icon" sizes="76x76" href="assets/img/apple-icon.png">
    <link rel="icon" type="image/png" href="assets/img/favicon.png">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
        <?php echo $textadmin1; ?>
    </title>
    <meta content='width=device-width, initial-scale=1.0, shrink-to-fit=no' name='viewport' />
    <link rel="stylesheet" type="text/css"
        href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900|Roboto+Slab:400,700" />
    <link href="<?php echo $url; ?>/admincp/assets/css/nucleo-icons.css" rel="stylesheet" />
    <link href="<?php echo $url; ?>/admincp/assets/css/nucleo-svg.css" rel="stylesheet" />
    <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">
    <link id="pagestyle" href="<?php echo $url; ?>/admincp/assets/css/style_admin.css" rel="stylesheet" />
</head>

<body class="bg-gray-200">
    <main class="main-content mt-0 ps">
        <div class="page-header align-items-start min-vh-100" filter-color="black"
            style="background-image: url('assets/img/background_login.png'); background-size: auto; background-position: top center;">
            <div class="container my-auto">
                <div class="row">
                    <div class="col-lg-4 col-md-8 col-12 mx-auto">
                        <script src="<?php echo $url . '/admincp/assets/js/jquery.min.js'; ?>"></script>
                        <script type="text/javascript" src="<?php echo $url . '/admincp/assets/js/jquery.form.js'; ?>">
                        </script>
                        <script>
                            $(document).ready(function () {
                                $('#LoginForm').on('submit', function (e) {
                                    e.preventDefault();
                                    $('#submitButton').attr('disabled', '');
                                    $("#output").html(
                                        '<div class="alert alert-info" role="alert">Login you on.. Please wait..</div>'
                                    );
                                    $(this).ajaxSubmit({
                                        target: '#output',
                                        success: afterSuccess
                                    });

                                });
                            });

                            function afterSuccess() {
                                $('#submitButton').removeAttr('disabled');
                            }
                        </script>
                        <form id="LoginForm" action="_send_login.php" class="text-start" method="post">
                            <div class="py-3 pe-1 text-center py-4">
                                <img src="<?php echo $url; ?>/uploads/logo/logo.png" class="logo_admin_login">
                            </div>
                            <div class="card z-index-0 fadeIn3 fadeInBottom rounded-0 br_l">
                                <div class="card-body">
                                    <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2">
                                        <div class="py-3 pe-1 text-center py-4">
                                            <h4 class="font-weight-bolder mt-1">
                                                <?php echo $textadmin2; ?>
                                            </h4>
                                            <p class="mb-1 text-sm">
                                                <?php echo $textadmin3; ?>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="card-body ">
                                        <div id="output"></div>
                                        <div class="input-group input-group-static mb-4">
                                            <div class="input-group-prepend"> <span class="input-group-text"> <i
                                                        class="material-icons">mail</i> </span> </div>
                                            <input type="email" name="email" class="form-control"
                                                placeholder="<?php echo $text18; ?>">
                                        </div>
                                        <div class="input-group input-group-static mb-4 mt-4">
                                            <div class="input-group-prepend"> <span class="input-group-text"> <i
                                                        class="material-icons">lock_outline</i> </span> </div>
                                            <input type="password" class="form-control" name="inputPassword"
                                                placeholder="<?php echo $textadmin5; ?>">
                                        </div>

                                        <?php if ($Settings['recaptcha_enable'] == 'on') { ?>
                                            <div class="form-group text-center">
                                                <script src='https://www.google.com/recaptcha/api.js'></script>
                                                <div class="g-recaptcha"
                                                    data-sitekey="<?php echo $Settings['recaptcha_sitekey']; ?>"></div>
                                                <br>
                                            </div>
                                        <?php } ?>

                                    </div>

                                    <p class="mt-4 text-sm text-center">
                                        <a href="<?php echo $url . '/admincp/forgot.php'; ?>"
                                            class="text-primary text-gradient font-weight-bold">
                                            <?php echo $textadmin360; ?>
                                        </a>
                                    </p>
                                    <div class="text-center">
                                        <button type="submit" id="submitButton"
                                            class="btn bg-gradient-primary w-100 my-4 mb-2">
                                            <?php echo $textadmin6; ?>
                                        </button>
                                    </div>
                                </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer class="footer position-absolute bottom-2 py-2 w-100">
                <div class="container">
                    <div class="row align-items-center justify-content-lg-between">
                        <div class="col-12 col-md-6 my-auto">
                            <div class="copyright text-center text-sm text-white text-lg-start"> &copy;
                                <script>
                                    document.write(new Date().getFullYear())
                                </script><i class="material-icons">favorite</i> <a
                                    href="https://www.codigolaranja.com.br/" target="_blank">Codigo Laranja</a>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </main>
</body>

</html>