<?php
class website
{

    private $mysqli;


    public function __construct($mysqli)
    {
        $this->mysqli = $mysqli;
    }


    function getSql($table, $id)
    {

        $sql = $this->mysqli->query("SELECT * FROM `$table` WHERE `id` = $id");
        $fetch_arrary = mysqli_fetch_array($sql);
        $sql->close();

        return $fetch_arrary;
    }

    public function sqlSelectTables($table, $columns, $conditions, $type_result)
    {

        if (empty($table) || empty($columns)) {
            return false;
        }

        $columnList = implode(', ', $columns);
        $whereClauses = array();

        foreach ($conditions as $condition) {
            list($column, $operator, $value) = $condition;
            $column = mysqli_real_escape_string($this->mysqli, $column);
            $value = mysqli_real_escape_string($this->mysqli, $value);
            $whereClauses[] = "$column $operator '$value'";
        }

        $whereClause = implode(' AND ', $whereClauses);

        $sql = $this->mysqli->query("SELECT $columnList FROM `$table` WHERE $whereClause");
        if ($type_result == 'array') {
            $result = mysqli_fetch_array($sql);
            $sql->close();
        } else {
            $result = $sql;
        }


        return $result;
    }

    public function sqlInsert($table, $data)
    {
        $columns = implode(', ', array_keys($data));
        $values = "'" . implode("', '", $data) . "'";

        $sql = "INSERT INTO `$table` ($columns) VALUES ($values)";

        if ($this->mysqli->query($sql)) {
            return true;
        } else {
            return false;
        }
    }

    public function sqlUpdate($table, $data, $where)
    {
        $set = array();
        foreach ($data as $column => $value) {
            $set[] = "$column = '$value'";
        }

        $set = implode(', ', $set);

        $sql = "UPDATE `$table` SET $set WHERE $where";

        if ($this->mysqli->query($sql)) {
            return true;
        } else {
            return false;
        }
    }


    function groupUpdateView($id): bool
    {
        $this->mysqli->query("UPDATE `groups` SET views=views+1 WHERE `id` = $id");

        return true;
    }

    function viewbyDate($date)
    {
        $dataviews = $this->mysqli->query("SELECT * FROM `views` WHERE `date` = '$date'");
        $coundataviews = mysqli_num_rows($dataviews);

        if ($coundataviews == '0') {
            $this->mysqli->query("INSERT INTO `views`(`id`, `site_views`, `date`) VALUES ('NULL', 1,'$date')");
        } else {
            $this->mysqli->query("UPDATE `views` SET `site_views`=`site_views`+1 WHERE `date` = '$date'");
        }

        return $coundataviews;
    }

    function querySqlGroups($type, $order, $start, $limit)
    {

        $sql = $this->mysqli->query("SELECT * FROM `groups`  WHERE `active` = '$type'  ORDER BY $order  LIMIT  $start, $limit");
        return $sql;
    }

    public function userLogged($LoggedUser)
    {

        $sql = $this->mysqli->query("SELECT * FROM `users`  WHERE `username` ='$LoggedUser'");
        $datasql = mysqli_fetch_array($sql);
        $sql->close();

        return $datasql;
    }

    public function sqlUpdateIncrement($table, $columnToIncrement, $where)
    {
        $sql = "UPDATE `$table` SET `$columnToIncrement` = `$columnToIncrement` + 1 WHERE $where";

        if ($this->mysqli->query($sql)) {
            return true;
        } else {
            return false;
        }
    }

    public function sqlBlog($start, $limit)
    {

        $sql = $this->mysqli->query("SELECT * FROM `blog` ORDER BY `id_post` DESC LIMIT $start, $limit");

        return $sql;
    }

    public function countBlog()
    {

        $sql = $this->mysqli->query("SELECT * FROM `blog`");
        if (mysqli_num_rows($sql) > 0) {
            return mysqli_num_rows($sql);
        } else {
            return 0;
        }
    }

    public function allowedDomains($platform, $CheckSource)
    {
        $CheckSource = mysqli_real_escape_string($this->mysqli, $CheckSource);
        $id = mysqli_real_escape_string($this->mysqli, $platform);
        $sql = $this->mysqli->query("SELECT `domains` FROM `platforms` WHERE `id` = '$id'");
        $domains = mysqli_fetch_array($sql);
        $domains = $domains['domains'];

        if (is_null($domains)) {
            return true;
        } else {
            $allowedDomains = explode(',', $domains);
            $urlParts = parse_url($CheckSource);
            $domain = isset($urlParts['host']) ? $urlParts['host'] : '';
            if (in_array($domain, $allowedDomains)) {
                return true;
            } else {
                return false;
            }
        }
    }

}