<?php
class website
{

    private $mysqli;


    public function __construct($mysqli)
    {
        $this->mysqli = $mysqli;
    }


    function getSql($table, $id)
    {

        $sql = $this->mysqli->query("SELECT * FROM `$table` WHERE `id` = $id");
        $fetch_arrary = mysqli_fetch_array($sql);
        $sql->close();

        return $fetch_arrary;
    }

    public function sqlSelectTables($table, $columns, $conditions, $type_result)
    {

        if (empty($table) || empty($columns)) {
            return false;
        }

        $columnList = implode(', ', $columns);
        $whereClauses = array();

        foreach ($conditions as $condition) {
            list($column, $operator, $value) = $condition;
            $column = mysqli_real_escape_string($this->mysqli, $column);
            $value = mysqli_real_escape_string($this->mysqli, $value);
            $whereClauses[] = "$column $operator '$value'";
        }

        $whereClause = implode(' AND ', $whereClauses);

        $sql = $this->mysqli->query("SELECT $columnList FROM `$table` WHERE $whereClause");
        if ($type_result == 'array') {
            $result = mysqli_fetch_array($sql);
            $sql->close();
        } else {
            $result = $sql;
        }


        return $result;
    }

    public function sqlInsert($table, $data)
    {
        $columns = implode(', ', array_keys($data));
        $values = "'" . implode("', '", $data) . "'";

        $sql = "INSERT INTO `$table` ($columns) VALUES ($values)";

        if ($this->mysqli->query($sql)) {
            return true;
        } else {
            return false;
        }
    }

    public function sqlUpdate($table, $data, $where)
    {
        $set = array();
        foreach ($data as $column => $value) {
            $set[] = "$column = '$value'";
        }

        $set = implode(', ', $set);

        $sql = "UPDATE `$table` SET $set WHERE $where";

        if ($this->mysqli->query($sql)) {
            return true;
        } else {
            return false;
        }
    }


    function groupUpdateView($id): bool
    {
        $this->mysqli->query("UPDATE `groups` SET views=views+1 WHERE `id` = $id");

        return true;
    }

    function viewbyDate($date)
    {
        $dataviews = $this->mysqli->query("SELECT * FROM `views` WHERE `date` = '$date'");
        $coundataviews = mysqli_num_rows($dataviews);

        if ($coundataviews == '0') {
            $this->mysqli->query("INSERT INTO `views`(`id`, `site_views`, `date`) VALUES ('NULL', 1,'$date')");
        } else {
            $this->mysqli->query("UPDATE `views` SET `site_views`=`site_views`+1 WHERE `date` = '$date'");
        }

        return $coundataviews;
    }

    function querySqlGroups($type, $order, $start, $limit)
    {

        $sql = $this->mysqli->query("SELECT * FROM `groups`  WHERE `active` = '$type'  ORDER BY $order  LIMIT  $start, $limit");
        return $sql;
    }

    public function userLogged($LoggedUser)
    {

        $sql = $this->mysqli->query("SELECT * FROM `users`  WHERE `username` ='$LoggedUser'");
        $datasql = mysqli_fetch_array($sql);
        $sql->close();

        return $datasql;
    }

    public function sqlUpdateIncrement($table, $columnToIncrement, $where)
    {
        $sql = "UPDATE `$table` SET `$columnToIncrement` = `$columnToIncrement` + 1 WHERE $where";

        if ($this->mysqli->query($sql)) {
            return true;
        } else {
            return false;
        }
    }

    public function sqlBlog($start, $limit)
    {

        $sql = $this->mysqli->query("SELECT * FROM `blog` ORDER BY `id_post` DESC LIMIT $start, $limit");

        return $sql;
    }

    public function countBlog()
    {

        $sql = $this->mysqli->query("SELECT * FROM `blog`");
        if (mysqli_num_rows($sql) > 0) {
            return mysqli_num_rows($sql);
        } else {
            return 0;
        }
    }

    public function allowedDomains($platform, $CheckSource)
    {
        $CheckSource = mysqli_real_escape_string($this->mysqli, $CheckSource);
        $id = mysqli_real_escape_string($this->mysqli, $platform);
        $sql = $this->mysqli->query("SELECT `domains` FROM `platforms` WHERE `id` = '$id'");
        $domains = mysqli_fetch_array($sql);
        $domains = $domains['domains'];

        if (is_null($domains)) {
            return true;
        } else {
            $allowedDomains = explode(',', $domains);
            $urlParts = parse_url($CheckSource);
            $domain = isset($urlParts['host']) ? $urlParts['host'] : '';
            if (in_array($domain, $allowedDomains)) {
                return true;
            } else {
                return false;
            }
        }
    }

    public function checkLink($link): bool
    {

        $sql = $this->mysqli->query("SELECT * FROM `groups` WHERE `link` = '$link'");
        if (mysqli_num_rows($sql) > 0) {
            return true;
        } else {
            return false;
        }

    }

    public function userPayments($emailUser, $start, $limit)
    {

        $sql = $this->mysqli->query("SELECT * FROM `payments` LEFT JOIN `groups` ON `produit` = `id` WHERE `payment_status` != 'created' AND `email` = '$emailUser' ORDER BY `id_payment` DESC LIMIT $start, $limit");

        return $sql;
    }

    public function countUserPayments($emailUser): int
    {

        $sql = $this->mysqli->query("SELECT * FROM `payments` LEFT JOIN `groups` ON `produit` = `id` WHERE `payment_status` != 'created' AND `email` = '$emailUser'");

        if (mysqli_num_rows($sql) > 0) {
            return mysqli_num_rows($sql);
        } else {
            return 0;
        }
    }


    public function pagination($targetpage, $limit, $page, $total_pages, $adjacents)
    {

        if ($page == 0)
            $page = 1;
        $prev = $page - 1;
        $next = $page + 1;
        $lastpage = ceil($total_pages / $limit);
        $lpm1 = $lastpage - 1;
        $pagination = "";

        if ($lastpage > 1) {
            $pagination .= "<ul class=\"pagination justify-content-center mt-5\">";
            if ($page > 1)
                $pagination .= "<li class=\"page-item \"><a class=\"page-link\" href=\"$targetpage&page=$prev\">&laquo;</a></li>";
            else
                $pagination .= "<li class=\"page-item disabled\"><a class=\"page-link\" href=\"#\">&laquo;</a></li>";

            if ($lastpage < 5 + ($adjacents * 2)) {
                for ($counter = 1; $counter <= $lastpage; $counter++) {
                    if ($counter == $page)
                        $pagination .= "<li class=\"page-item active\"><a class=\"page-link\" href=\"#\">$counter</a></li>";
                    else
                        $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$counter\">$counter</a></li>";
                }
            } elseif ($lastpage > 5 + ($adjacents * 2)) {
                if ($page < 1 + ($adjacents * 2)) {
                    for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++) {
                        if ($counter == $page)
                            $pagination .= "<li class=\"page-item active\"><a class=\"page-link\" href=\"#\">$counter</a></li>";
                        else
                            $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$counter\">$counter</a></li>";
                    }
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" aria-disabled=\"true\">...</a></li>";
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$lpm1\">$lpm1</a></li>";
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$lastpage\">$lastpage</a></li>";
                } elseif ($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2)) {
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=1\">1</a></li>";
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=2\">2</a></li>";
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" aria-disabled=\"true\">...</a></li>";
                    for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++) {
                        if ($counter == $page)
                            $pagination .= "<li class=\"active page-item\"><a class=\"page-link\" href=\"#\">$counter</a></li>";
                        else
                            $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$counter\">$counter</a></li>";
                    }
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" aria-disabled=\"true\">...</a></li>";
                    $pagination .= "<li  class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$lpm1\">$lpm1</a></li>";
                    $pagination .= "<li  class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$lastpage\">$lastpage</a></li>";
                } else {
                    $pagination .= "<li  class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=1\">1</a></li>";
                    $pagination .= "<li  class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=2\">2</a></li>";
                    $pagination .= "<li class=\"page-item\"><a class=\"page-link\" aria-disabled=\"true\">...</a></li>";
                    for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++) {
                        if ($counter == $page)
                            $pagination .= "<li class=\"page-item active\"><a class=\"page-link\" href=\"#\">$counter</a></li>";
                        else
                            $pagination .= "<li  class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$counter\">$counter</a></li>";
                    }
                }
            }

            if ($page < $counter - 1)
                $pagination .= "<li class=\"page-item\"><a class=\"page-link\" href=\"$targetpage&page=$next\">&raquo;</a></li>";
            else
                $pagination .= "<li class=\"page-item disabled\"><a class=\"page-link\" href=\"#\">&raquo;</a></li>";
            $pagination .= "</ul>\n";
        }

        return $pagination;
    }


    public function sendpushNotification($to, $title, $message, $img, $url, $link, $api_key, $api_id)
    {

        $msg = $message;
        $content = array(
            "en" => $msg
        );
        $headings = array(
            "en" => $title
        );

        $ios_img = array(
            "id1" => $img
        );

        $fields = array(
            'app_id' => $api_id,
            "headings" => $headings,
            'included_segments' => array($to),
            'contents' => $content,
            "big_picture" => $img,
            "chrome_web_image" => $img,
            'large_icon' => $url . '/uploads/logo/logo.png',
            'content_available' => true,
            "ios_attachments" => $ios_img
        );

        $fields = json_encode($fields);

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
        curl_setopt(
            $ch,
            CURLOPT_HTTPHEADER,
            array(
                'Content-Type: application/json; charset=utf-8',
                'Authorization: Basic ' . $api_key
            )
        );
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_POST, TRUE);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

        $response = curl_exec($ch);
        curl_close($ch);

        return $response;
    }

}