<?php
require_once "../init.php";
require_once "../vendor/autoload.php";

if (!empty($_GET['ref'])) {


    $ref = htmlspecialchars($_GET['ref']);
    $produit_sql = $mysqli->query("SELECT `name` FROM `groups` WHERE `id` = '$ref'");
    $produit = mysqli_fetch_array($produit_sql);
    $name_group_boost = "Boost " . $produit['name'];
    $count_produit = mysqli_num_rows($produit_sql);
    $transactionID = 'PAYID-' . str_random(25);
    $accessToken = get_payment("mercadopago", "secret");


    $url_api = 'https://api.mercadopago.com/checkout/preferences';


    $preference_data = [
        'items' => [
            [
                'id' => $transactionID,
                'title' => $name_group_boost,
                'quantity' => 1,
                'currency_id' => $currency,
                'unit_price' => (int) $productPrice,
            ],
        ],
        'back_urls' => [
            'success' => $url . '/includes/mercado_pago_process.php?paymentid=' . $transactionID,
            'failure' => $url . '/pay.php?id=failed',
            'pending' => $url . '/pay.php?id=pending',
        ],
        'auto_return' => 'approved',
    ];



    $json_data = json_encode($preference_data);

    $options = [
        CURLOPT_URL => $url_api,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $json_data,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_HTTPHEADER => [
            'Content-Type: application/json',
            'Authorization: Bearer ' . $accessToken,
        ],
    ];

    $ch = curl_init();
    curl_setopt_array($ch, $options);
    $response = curl_exec($ch);

    if (curl_errno($ch)) {
        $response = array('success' => false, 'error' => "Erro na requisição cURL: " . curl_error($ch));
        die(json_encode($response));
    } else {
        $preference_result = json_decode($response, true);

        if ($preference_result === null) {
            $response = array('success' => false, 'error' => 'Erro ao decodificar a resposta JSON');
            die(json_encode($response));
        } else {
            $payment_id = $transactionID;
            $payment_amount = $productPrice;

            $dados = array('produit' => $ref, 'payment_id' => $payment_id, 'payment_status' => "pending", 'payment_amount' => $payment_amount, 'payment_currency' => $currency, 'payment_date' => date("Y-m-d H:i:s"), 'payment_method' => 'mercado pago');
            $website->sqlInsert("payments", $dados);
            $response = array('success' => true, 'url' => $preference_result['init_point']);
            die(json_encode($response));
        }
    }
    curl_close($ch);


} else {
    $response = array('success' => false, 'error' => 'ref not found');
    die(json_encode($response));
}

