<?php
require_once "../init.php";

if (isset($_REQUEST['payment_id']) && isset($_REQUEST['status']) && isset($_REQUEST['paymentid'])) {
    $paymentID = htmlspecialchars($_REQUEST['paymentid']);
    $payment_id_mp = htmlspecialchars($_REQUEST['payment_id']);

    $conditions = [['payment_id', '=', $paymentID]];
    $payment_sql = $website->sqlSelectTables('payments', ['id_payment'], $conditions, 'sql');
    $payment_data = $website->sqlSelectTables('payments', ['payment_status'], $conditions, 'array');
    $count_payment = mysqli_num_rows($payment_sql);

    if ($count_payment > 0 && $payment_data['payment_status'] == 'pending') {
        $accessToken = get_payment("mercadopago", "secret");
        $url_api = "https://api.mercadopago.com/v1/payments/" . $payment_id_mp;

        $options = [
            CURLOPT_URL => $url_api,
            CURLOPT_CUSTOMREQUEST => 'GET',  // Alterado para GET
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_HTTPHEADER => [
                'Content-Type: application/json',
                'Authorization: Bearer ' . $accessToken,
            ],
        ];

        $ch = curl_init();
        curl_setopt_array($ch, $options);
        $response = curl_exec($ch);
        curl_close($ch);

        if (curl_errno($ch)) {
            $response = array('success' => false, 'error' => "Erro na requisição cURL: " . curl_error($ch));
            die(json_encode($response));
        } else {
            $payment_info = json_decode($response, true);

            if (isset($payment_info['status']) && $payment_info['status'] == 'approved') {
                $expire = time() + (30 * 24 * 60 * 60);
                $payer_email = isset($payment_info['payer']['email']) ? $payment_info['payer']['email'] : '';
                $dados_update = array('payment_status' => $payment_info['status'], 'payer_email' => $payer_email, 'expire' => $expire);
                $website->sqlUpdate("payments", $dados_update, "payment_id = '$paymentID'");

                header('Location: ' . $url . '/pay.php?code=' . $paymentID);
                exit;
            } else {
                $response = array('success' => false, 'error' => 'Payment not approved');
                die(json_encode($response));
            }
        }
    } else {
        header('Location: ' . $url . '/my-payments.php');
        exit;

    }
} else {
    $response = array('success' => false, 'error' => 'Payment GET not found');
    die(json_encode($response));
}
