<?php
// Include configuration file  
require_once '../init.php';


$payment_id = "";
$statusMsg = '';
$status = 'error';

// Check whether stripe checkout session is not empty 
if (!empty($_GET['session_id'])) {
    $session_id = $_GET['session_id'];
    $productID = $_GET['ref'];

    $payment_sql = $mysqli->query("SELECT * FROM `payments` WHERE `stripe_checkout_session_id` = '$session_id'");
    $payment_data = mysqli_fetch_array($payment_sql);
    $count_payment = mysqli_num_rows($payment_sql);

    if ($count_payment > 0) {

        $transactionID = $payment_data['payment_id'];
        $paidAmount = $payment_data['payment_amount'];
        $paidCurrency = $payment_data['payment_currency'];
        $payment_status = $payment_data['payment_status'];

        $customer_name = $payment_data['payer_name'];
        $customer_email = $payment_data['payer_email'];

        $status = 'success';
        $statusMsg = 'Your Payment has been Successful!';
        header("Location: " . $url . '/pay.php?code=' . $transactionID);
    } else {
        // Include the Stripe PHP library 
        require_once '../vendor/stripe-php/init.php';

        // Set API key 
        $stripe = new \Stripe\StripeClient(STRIPE_API_KEY);

        // Fetch the Checkout Session to display the JSON result on the success page 
        try {
            $checkout_session = $stripe->checkout->sessions->retrieve($session_id);
        } catch (Exception $e) {
            $api_error = $e->getMessage();
        }

        if (empty($api_error) && $checkout_session) {
            // Get customer details 
            $customer_details = $checkout_session->customer_details;

            // Retrieve the details of a PaymentIntent 
            try {
                $paymentIntent = $stripe->paymentIntents->retrieve($checkout_session->payment_intent);
            } catch (\Stripe\Exception\ApiErrorException $e) {
                $api_error = $e->getMessage();
            }

            if (empty($api_error) && $paymentIntent) {
                // Check whether the payment was successful 
                if (!empty($paymentIntent) && $paymentIntent->status == 'succeeded') {
                    // Transaction details  
                    $transactionID = $paymentIntent->id;
                    $paidAmount = $paymentIntent->amount;
                    $paidAmount = ($paidAmount / 100);
                    $paidCurrency = $paymentIntent->currency;
                    $payment_status = $paymentIntent->status;
                    // Customer info 
                    $customer_name = $customer_email = '';
                    if (!empty($customer_details)) {
                        $customer_name = !empty($customer_details->name) ? $customer_details->name : '';
                        $customer_email = !empty($customer_details->email) ? $customer_details->email : '';
                    }

                    // Check if any transaction data is exists already with the same TXN ID 

                    $payment_sql = $mysqli->query("SELECT * FROM `payments` WHERE `payment_id` = '$transactionID'");
                    $count_payment = mysqli_num_rows($payment_sql);

                    if ($count_payment == 0) {


                        $expire = time() + (30 * 24 * 60 * 60);
                        // Insert transaction data into the database 
                        if ($payment_status == "succeeded") {
                            $payment_status = "approved";
                        }

                        $insert_payment = $mysqli->query("INSERT INTO `payments` (`produit`, `payment_id`, `payment_status`, `payment_amount`, `payment_currency`, `payment_date`, `payer_name`, `payer_email`, `expire`, `payment_method`, `stripe_checkout_session_id`) VALUES ('$productID', '$transactionID', '$payment_status', '$paidAmount', ' $paidCurrency', NOW(), '$customer_name', '$customer_email', '$expire', 'stripe','$session_id')");
                    }

                    header("Location: " . $url . '/pay.php?code=' . $transactionID);
                } else {
                    $statusMsg = "Transaction has been failed!";
                }
            } else {
                $statusMsg = "Unable to fetch the transaction details! $api_error";
            }
        } else {
            $statusMsg = "Invalid Transaction! $api_error";
        }
    }
} else {
    $statusMsg = "Invalid Request!";
}
