<?php
include("init.php");
//Load Composer's autoloader
require 'vendor/autoload.php';

$htmlconfig = HTMLPurifier_Config::createDefault();
$htmlconfig->set('HTML.ForbiddenElements', 'script');
$purifier = new HTMLPurifier($htmlconfig);

$UploadDirectory = 'uploads/groups/';
if (!@file_exists($UploadDirectory)) {
    die('<div class="alert alert-danger">Make sure Upload directory exist!</div>');
}


if ($_POST) {

    $id = mysqli_real_escape_string($mysqli, $_POST['id']);
    $group_info = $website->getSql("groups", $id);


    if (empty($_POST['csrf_token']) or hash_equals($_SESSION['csrf_token'], $_POST['csrf_token']) == FALSE) {

        die('<div class="alert alert-danger" role="alert">' . $text162 . '</div>');
    }

    if ($group_info['email'] != $UserEmail) {
        die('<div class="alert alert-danger" role="alert">' . $text162 . '</div>');
    }


    if (!isset($_POST['name']) || strlen($_POST['name']) < 1) {
        die('<div class="alert alert-danger" role="alert">' . $text24 . '</div>');
    }


    if (!isset($_POST['description']) || strlen($_POST['description']) < 12) {
        die('<div class="alert alert-danger" role="alert">' . $text25 . '</div>');
    }


    if (!isset($_POST['link']) || strlen($_POST['link']) > 1) {
        $CheckSource = mysqli_real_escape_string($mysqli, $_POST['link']);
        if (!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $CheckSource)) {
            die('<div class="alert alert-danger" role="alert">' . $text27 . '</div>');
        }
    }

    if (!empty($_POST['youtube_link'])) {
        $CheckYoutubelink = mysqli_real_escape_string($mysqli, $_POST['youtube_link']);
        if (!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $CheckYoutubelink)) {
            die('<div class="alert alert-danger" role="alert">' . $text97 . '</div>');
        }
    }

    if ($Settings['slug_enable'] == "on" and empty($_POST['slug']) and strlen($_POST['slug']) < 3) {
        die('<div class="alert alert-danger" role="alert">' . $text85 . '</div>');
    }

    if (strlen($_POST['slug']) > $maximumslug) {
        die('<div class="alert alert-danger" role="alert">' . str_replace("%", $maximumslug, $text86) . '</div>');
    }


    $name = mysqli_real_escape_string($mysqli, $_POST['name']);
    $link = mysqli_real_escape_string($mysqli, $_POST['link']);
    $prohibitions = mysqli_real_escape_string($mysqli, $_POST['prohibitions']);
    $description = mysqli_real_escape_string($mysqli, $_POST['description']);
    $description = $purifier->purify($description);
    $platform = mysqli_real_escape_string($mysqli, $_POST['platform']);
    $category = mysqli_real_escape_string($mysqli, $_POST['category']);
    $RandNumber = rand(0, 9999999999);
    $delete = rand(0, 9999999999);
    $link = mysqli_real_escape_string($mysqli, $_POST['link']);
    $date = $data;
    $slug = mysqli_real_escape_string($mysqli, $_POST['slug']);
    $tags = !empty($_POST['tags']) ? mysqli_real_escape_string($mysqli, $_POST['tags']) : '';
    $yt_link = !empty($_POST['youtube_link']) ? extrairCodeVideoYouTube($_POST['youtube_link']) : '';

    if (!empty($slug)) {
        $slug = slugify($slug);
    }

    if (!empty($_FILES['img_group']) and $_FILES['img_group']['size'] > 10) {

        $size = getimagesize($_FILES['img_group']["tmp_name"]);
        $ImageName = strtolower($_FILES['img_group']['name']);
        $ImageExt = substr($ImageName, strrpos($ImageName, '.'));
        $FileType = $_FILES['img_group']['type'];
        $FileSize = $_FILES['img_group']["size"];

        switch (strtolower($FileType)) {
            case 'image/png':
            case 'image/gif':
            case 'image/jpeg':
                break;
            default:

                die('<div class="alert alert-danger" role="alert">' . $text28 . '</div>');
        }

        $imgname = preg_replace(array('/\s/', '/\.[\.]+/', '/[^\w_\.\-]/'), array('_', '.', ''), strtolower($name));
        $imgname = $imgname . '_' . $RandNumber . $ImageExt;
        $img_dir = $UploadDirectory . $imgname;

        if ($size[0] > 500 or $size[1] < 500) {
            resize_crop_image(500, 500, $_FILES['img_group']["tmp_name"], $img_dir);
        } else {
            move_uploaded_file($_FILES['img_group']["tmp_name"], $UploadDirectory . $imgname);
        }
        if (file_exists($UploadDirectory . $group_info['image'])) {
            unlink($UploadDirectory . $group_info['image']);
        }
    } else {
        $imgname = $group_info['image'];
    }


    $mysqli->query("UPDATE `groups` SET `name` = '$name' , `description` = '$description', `category` = '$category', `platform` = '$platform', `image` = '$imgname', `active` = '$Active', `prohibitions` = '$prohibitions', `link` = '$link', `slug` = '$slug', `tags` = '$tags', `youtube_link` = '$yt_link' WHERE `id` = '$id'");

    $message = $Active == "0" ? $text164 : $text163;

    die('<div class="alert alert-success" role="alert">' . $message . '</div>');
}
?>