<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;


include("../../init.php");
//Load Composer's autoloader
require '../../vendor/autoload.php';


if ($_POST) {

	$email = mysqli_real_escape_string($mysqli, $_POST['email']);
	$email = strip_tags(trim($email));

	if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
		$response = array('title' => $text110, 'message' => $text50, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	$conditions = [['email', '=', $email]];
	$emailChecDb = $website->sqlSelectTables("users", ['email'], $conditions, 'sql');
	$VdUser = mysqli_fetch_array($emailChecDb);
	$email_check = $VdUser['email'] ?? '';
	$Count = mysqli_num_rows($emailChecDb);
	$emailChecDb->close();

	if ($Settings['recaptcha_enable'] == 'on') {
		if (empty($_POST['g-recaptcha-response'])) {
			$response = array('title' => $text110, 'message' => $text108, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
			die(json_encode($response));
		}
		$RetornaCaptcha = json_decode(file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $Settings['recaptcha_secretkey'] . '&response=' . $_POST['g-recaptcha-response']));
		if ($RetornaCaptcha->success === false) {
			$response = array('title' => $text110, 'message' => $text109, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
			die(json_encode($response));
		}
	}



	if ($Count == 1) {

		$code_email_n = substr(uniqid(rand()), 0, 12);
		$secret_letter = substr($email_check, 0, 1);
		$code_email = $secret_letter . $code_email_n;
		$link_cofirm_email = $url . "/user/recover-new-password.php?code=" . $code_email_n . "&email=" . $email_check;

		$e_subject = $textadmin363 . ' - ' . $sitename;
		$e_body = $text182;


		include("../../includes/email_code.php");
		if ($email_settings['phpmailer'] == "on") {
			$mail = new PHPMailer(true);

			$mail->isSMTP();
			$mail->CharSet = 'UTF-8';
			$mail->Encoding = 'quoted-printable';
			$mail->Host = $email_settings['host'];
			$mail->SMTPAuth = ($email_settings['smtp_auth'] == 'on') ? true : false; //Enable SMTP authentication
			$mail->Username = $email_settings['username'];
			$mail->Password = $email_settings['password'];
			$mail->SMTPSecure = $email_settings['encrypt']; //Enable implicit TLS encryption
			$mail->Port = $email_settings['port']; //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

			$mail->setFrom($email_settings['mail'], $e_subject);
			$mail->addReplyTo($email_settings['mail'], $e_subject);

			$mail->isHTML(true);


			try {
				$mail->addAddress($email);

				$mail->Subject = $textadmin363 . ' - ' . $sitename;
				$mail->Body = $message;
				$mail->AltBody = $message;

				$mail->send();
			} catch (Exception $e) {
				$mail->ErrorInfo;
			}

			$mail->clearAddresses();
			$mail->clearAttachments();
		} else {
			$e_content = "\"$sitename\"\r\n\n";
			$msg = $e_body . $e_content;
			$cabecalho = 'MIME-Version: 1.0' . "\r\n";
			$cabecalho .= 'Content-type: text/html; charset=iso-8859-1;' . "\r\n";
			$cabecalho .= "X-Mailer: PHP/" . phpversion() . "\r\n";
			$cabecalho .= "Return-Path: $emailsite \r\n";
			$cabecalho .= "From: $emailsite \r\n";
			$cabecalho .= "Reply-To: $emailsite \r\n";
			mail($email_check, $e_subject, $message, $cabecalho);
		}

		$dados_update = array('code' => $code_email);

		if (!$website->sqlUpdate("users", $dados_update, "`email` = '$email_check'")) {
			$response = array('title' => $text110, 'message' => $text135, 'type' => 'error', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
			die(json_encode($response));
		}

		$response = array('title' => $text111, 'message' => $textadmin366, 'type' => 'success', 'url' => $url . '/user/login.php', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	} else {
		$response = array('title' => $text110, 'message' => $text135, 'type' => 'error', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}
}
?>