<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

include("../../init.php");
//Load Composer's autoloader
require '../../vendor/autoload.php';



if ($_POST) {
	$username = mysqli_real_escape_string($mysqli, $_POST['username']);
	$email = mysqli_real_escape_string($mysqli, $_POST['email']);

	$conditions = [['username', '=', $username]];
	$UserCheck = $website->sqlSelectTables('users', ['username'], $conditions, 'sql');
	$conditions = [['email', '=', $email]];
	$mailcheck = $website->sqlSelectTables('users', ['email'], $conditions, 'sql');
	$count_user = mysqli_num_rows($UserCheck);
	$count_mail = mysqli_num_rows($mailcheck);
	$UserCheck->close();
	$mailcheck->close();

	if (!isset($_POST['name']) || strlen($_POST['name']) < 1) {
		$response = array('title' => $text110, 'message' => $text138, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (strlen($_POST['name']) > 100) {
		$response = array('title' => $text110, 'message' => $text144, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (!isset($_POST['username']) || strlen($_POST['username']) < 1) {
		$response = array('title' => $text110, 'message' => $text147, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (strlen($_POST['username']) > 20) {
		$response = array('title' => $text110, 'message' => $text145, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if ($count_user > 0) {
		$response = array('title' => $text110, 'message' => $text146, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}


	if (!preg_match("/^[a-zA-Z-0-9-_]*$/", $_POST['username'])) {
		$response = array('title' => $text110, 'message' => $text148, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (!isset($_POST['email']) || strlen($_POST['email']) < 1) {
		$response = array('title' => $text110, 'message' => $text149, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if ($count_mail > 0) {
		$response = array('title' => $text110, 'message' => $text150, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
		$response = array('title' => $text110, 'message' => $text137, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (!isset($_POST['password']) || strlen($_POST['password']) < 1) {
		$response = array('title' => $text110, 'message' => $text151, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (!isset($_POST['password']) || strlen($_POST['password']) < 6) {
		$response = array('title' => $text110, 'message' => $text152, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}


	if (!isset($_POST['confirmpassword']) || strlen($_POST['confirmpassword']) < 1) {
		$response = array('title' => $text110, 'message' => $text153, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if ($_POST['password'] !== $_POST['confirmpassword']) {
		$response = array('title' => $text110, 'message' => $text154, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if (!isset($_POST['terms_check'])) {
		$response = array('title' => $text110, 'message' => $text140, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}

	if ($Settings['recaptcha_enable'] == 'on') {
		if (empty($_POST['g-recaptcha-response'])) {
			$response = array('title' => $text110, 'message' => $text108, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
			die(json_encode($response));
		}
		$RetornaCaptcha = json_decode(file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $Settings['recaptcha_secretkey'] . '&response=' . $_POST['g-recaptcha-response']));
		if ($RetornaCaptcha->success === false) {
			$response = array('title' => $text110, 'message' => $text109, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
			die(json_encode($response));
		}
	}

	$username = mysqli_real_escape_string($mysqli, $_POST['username']);
	$name = mysqli_real_escape_string($mysqli, $_POST['name']);
	$type = "registered_user";
	$pass = mysqli_real_escape_string($mysqli, $_POST['password']);
	$pass = md5($pass);
	$code_email = substr(uniqid(rand()), 0, 10);
	$link_cofirm_email = $url . "/confirm_account/" . $code_email;


	if ($email_on == 'on') {
		$e_body = str_replace('%', $name, $text115);
		$e_subject = $text114 . ' - ' . $sitename;
		include("../includes/email_account_confirm.php");
		if ($email_settings['phpmailer'] == 'on') {
			$mail = new PHPMailer(true);

			$mail->isSMTP();
			$mail->CharSet = 'UTF-8';
			$mail->Encoding = 'quoted-printable';
			$mail->Host = $email_settings['host'];
			$mail->SMTPAuth = ($email_settings['smtp_auth'] == 'on') ? true : false;
			$mail->Username = $email_settings['username'];
			$mail->Password = $email_settings['password'];
			$mail->SMTPSecure = $email_settings['encrypt']; //Enable implicit TLS encryption
			$mail->Port = $email_settings['port']; //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

			$mail->setFrom($email_settings['mail'], $e_subject);
			$mail->addReplyTo($email_settings['mail'], $e_subject);

			$mail->isHTML(true);


			try {
				$mail->addAddress($email);

				$mail->Subject = $text33 . ' - ' . $sitename;
				$mail->Body = $message;
				$mail->AltBody = $message;

				$mail->send();
			} catch (Exception $e) {
				$mail->ErrorInfo;
			}

			$mail->clearAddresses();
			$mail->clearAttachments();
		} else {
			$e_content = "\"$sitename\"\r\n\n";
			$msg = $e_body . $e_content;
			$cabecalho = 'MIME-Version: 1.0' . "\r\n";
			$cabecalho .= 'Content-type: text/html; charset=iso-8859-1;' . "\r\n";
			$cabecalho .= "X-Mailer: PHP/" . phpversion() . "\r\n";
			$cabecalho .= "Return-Path: $emailsite \r\n";
			$cabecalho .= "From: $emailsite \r\n";
			$cabecalho .= "Reply-To: $emailsite \r\n";


			mail($email, $e_subject, $message, $cabecalho);
		}



	}
	if ($email_on == "on") {
		$confirm_email = 0;
	} else {
		$confirm_email = 1;
	}

	$dados = array('username' => $username, 'password' => $pass, 'email' => $email, 'name_user' => $name, 'type' => $type, 'incorrect_password' => '0', 'login_attempt' => '0', 'registered_date' => $data, 'confirm_email' => $confirm_email, 'confirm_email_code' => $code_email, 'session_code' => '0', 'status' => '0');

	if (!$website->sqlInsert("users", $dados)) {
		$response = array('title' => $text110, 'message' => $text275, 'type' => 'error', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
		die(json_encode($response));
	}


	if ($email_on == "on") {
		$response = array('title' => $text155, 'message' => $text117, 'type' => 'success', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable'], 'url' => $url . '/user/login.php');
		die(json_encode($response));
	} else {
		$response = array('title' => $text155, 'message' => $text136, 'type' => 'success', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable'], 'url' => $url . '/user/login.php');
		die(json_encode($response));
	}

} else {
	$response = array('title' => $text110, 'message' => $text135, 'type' => 'warning', 'recaptcha' => 'reset', 'recaptchaStatus' => $Settings['recaptcha_enable']);
	die(json_encode($response));
}