<?php include(__DIR__ . "/../init.php"); ?>
<!DOCTYPE html>
<html lang="<?php echo $langcode; ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>
        <?php echo $title; ?>
    </title>
    <meta name="description" content="<?php echo $description; ?>">
    <meta name="keywords" content="<?php echo $keywords; ?>">
    <meta property="og:type" content="website" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="theme-color" content="<?php echo $color['meta_theme_color']; ?>" />
    <link rel="apple-touch-icon" href="<?php echo $url; ?>/uploads/logo/favicon.png" sizes="144x144" type="image/png">
    <link rel="icon" href="<?php echo $url; ?>/uploads/logo/favicon.png" sizes="32x32" type="image/png">
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400&display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <link href="<?php echo $url; ?>/assets/vendor/nouislider/nouislider.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo $url; ?>/assets/vendor/swiperjs-6.6.2/swiper-bundle.min.css">
    <link href="<?php echo $url; ?>/assets/css/style.css?v=<?php echo $version; ?>" rel="stylesheet" id="style">
    <?php if (in_array(basename($_SERVER['PHP_SELF']), $protected_pages) or in_array(basename($_SERVER['PHP_SELF']), $account_user_pages)) { ?>
        <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/sweetalert.css">
        <script src="<?php echo $url; ?>/assets/js/sweetalert.min.js"></script>
    <?php } ?>
    <?php if ($Settings['adultcontent_enable'] == 'on') { ?>
        <link href="<?php echo $url; ?>/assets/css/adult_content.css" rel="stylesheet" id="style">
    <?php } ?>
    <?php if ($pwa['pwa_enable'] == 'on') { ?>
        <link rel="manifest" href="<?php echo $url; ?>/manifest.json" />
    <?php } ?>
    <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/cookiealert.css">
    <?php include(__DIR__ . '/../includes/style_front.php'); ?>
    <?php if ($Settings['onesignal_enable'] == 'on') { ?>
        <script src="https://cdn.onesignal.com/sdks/web/v16/OneSignalSDK.page.js" defer></script>
        <script>
            window.OneSignalDeferred = window.OneSignalDeferred || [];
            OneSignalDeferred.push(function (OneSignal) {
                OneSignal.init({
                    appId: "<?php echo $Settings['onesignal_appid']; ?>",
                });
            });
        </script>
    <?php } ?>
</head>

<body class="body-scroll <?php if ($rtl == 'on'):
    echo "rtl";
endif; ?>" data-page="home">
    <?php if ($preload == 'on'): ?>
        <div class="container-fluid loader-wrap">
            <div class="row h-100">
                <div class="col-10 col-md-6 col-lg-5 col-xl-3 mx-auto text-center align-self-center">
                    <div class="loader-cube-wrap mx-auto">
                        <div class="loader-cube1 loader-cube"></div>
                        <div class="loader-cube2 loader-cube"></div>
                        <div class="loader-cube4 loader-cube"></div>
                        <div class="loader-cube3 loader-cube"></div>
                    </div>
                    <p>
                        <?php echo $text5; ?><br>
                        <strong>
                            <?php echo $text6; ?>
                        </strong>
                    </p>
                </div>
            </div>
        </div>
    <?php endif;
    include(__DIR__ . '/../includes/sidebar.php'); ?>
    <main class="h-100 has-header has-footer">
        <header class="container-fluid header">
            <div class="row">
                <div class="col-auto align-self-center">
                    <button type="button" class="btn btn-link menu-btn text-color-theme"> <i
                            class="bi bi-list size-24"></i> </button>
                </div>
                <div class="col text-center">
                    <div class="logo-small"> <a href="<?php echo $url; ?>"> <img class="logo"
                                src="<?php echo $url; ?>/uploads/logo/logo.png" class="img"> </a> </div>
                </div>
                <div class="col-auto align-self-center"> <a href="<?php echo $url; ?>/share-link"
                        class="link text-color-theme"> <i class="bi bi-plus-circle size-22"></i> </a> </div>
            </div>
        </header>