<?php
include('init.php');
$id = !empty($_GET['id']) ? mysqli_real_escape_string($mysqli, $_GET['id']) : '0';


$datagroup = $website->getSql("groups", $id);
if (!is_null($datagroup)) {
    $groupview = $website->groupUpdateView($id);
    $title = $datagroup['name'];
    $meta_desc = strip_tags($datagroup['description']);
    $category_id = $datagroup['category'];
    $platform_id = $datagroup['platform'];
    $platform = platformgroup($platform_id);
    $productId = $id;
} else {
    header("Location:" . $url . "/404");
    die();
}
?>
<!doctype html>
<html lang="<?php echo $langcode; ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="<?php echo substr($meta_desc, 0, 160) . '... '; ?>">
    <meta property="og:image" content="<?php echo $url . '/uploads/groups/' . $datagroup['image']; ?>">
    <?php if (!empty($datagroup['tags'])) { ?>
        <meta name="keywords" content="<?php echo $datagroup['tags']; ?>">
    <?php } else { ?>
        <meta name="keywords" content="<?php echo $keywords; ?>">
    <?php } ?>
    <title>
        <?php echo $title . '-' . $sitename; ?>
    </title>
    <meta name="apple-mobile-web-app-capable" content="yes">
    <link rel="manifest" href="<?php echo $url; ?>/manifest.json" />
    <link rel="apple-touch-icon" href="<?php echo $url; ?>/uploads/logo/favicon.png" sizes="180x180">
    <link rel="icon" href="<?php echo $url; ?>/uploads/logo/favicon.png" sizes="32x32" type="image/png">
    <link rel="icon" href="<?php echo $url; ?>/uploads/logo/favicon.png" sizes="16x16" type="image/png">
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400&display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <link href="<?php echo $url; ?>/assets/vendor/nouislider/nouislider.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo $url; ?>/assets/vendor/swiperjs-6.6.2/swiper-bundle.min.css">
    <link href="<?php echo $url; ?>/assets/css/style.css?v=<?php echo $version; ?>" rel="stylesheet" id="style">
    <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/cookiealert.css">
    <?Php include('includes/style_front.php'); ?>
</head>

<body class="body-scroll  <?php if ($rtl == 'on'):
    echo "rtl";
endif; ?>" data-page="home">
    <?php if ($preload == 'on'): ?>
        <div class="container-fluid loader-wrap">
            <div class="row h-100">
                <div class="col-10 col-md-6 col-lg-5 col-xl-3 mx-auto text-center align-self-center">
                    <div class="loader-cube-wrap mx-auto">
                        <div class="loader-cube1 loader-cube"></div>
                        <div class="loader-cube2 loader-cube"></div>
                        <div class="loader-cube4 loader-cube"></div>
                        <div class="loader-cube3 loader-cube"></div>
                    </div>
                    <p>
                        <?php echo $text5; ?><br>
                        <strong>
                            <?php echo $text6; ?>
                        </strong>
                    </p>
                </div>
            </div>
        </div>
    <?php endif;
    include('includes/sidebar.php'); ?>
    <main class="h-100 has-header has-footer">
        <header class="container-fluid header">
            <div class="row">
                <div class="col-auto align-self-center">
                    <button type="button" class="btn btn-link menu-btn text-color-theme"> <i
                            class="bi bi-list size-24"></i> </button>
                </div>
                <div class="col text-center">
                    <div class="logo-small">
                        <a href="<?php echo $url; ?>">
                            <img class="logo" src="<?php echo $url; ?>/uploads/logo/logo.png" class="img">
                        </a>
                    </div>
                </div>
                <div class="col-auto align-self-center"> <a href="<?php echo $url; ?>/share-link"
                        class="link text-color-theme"> <i class="bi bi-plus-circle size-22"></i> </a> </div>
            </div>
        </header>