<?php include('includes/header.php');
$adjacents = 5;
$limit = 50;
$page = isset($_GET['page']) ? mysqli_real_escape_string($mysqli, $_GET['page']) : 1;
$start = ($page - 1) * $limit;
$targetpage = "my-payments.php?";
$total_pages = $website->countuserPayments($UserEmail);
$listUserpayments = $website->userPayments($UserEmail, $start, $limit);
$pagination = $website->pagination($targetpage, $limit, $page, $total_pages, $adjacents);

?>
<div class="main-container container">
    <div class="row mb-3">
        <div class="col">
            <h5 class="mb-0">
                <?php echo $text204; ?>
            </h5>
        </div>
    </div>
    <div class="row">
        <div class="card shadow-sm product mb-3">
            <?php if ($total_pages > 0) { ?>
                <div class="table-responsive">
                    <table class="table table-bordered table-hover card_payments">
                        <thead>
                            <tr>
                                <th scope="col">
                                    <?php echo $text197; ?>
                                </th>
                                <th scope="col">
                                    <?php echo $text198; ?>
                                </th>
                                <th scope="col">
                                    <?php echo $text199; ?>
                                </th>
                                <th scope="col">
                                    <?php echo $text203; ?>
                                </th>
                                <th scope="col">
                                    <?php echo $text201; ?>
                                </th>
                                <th scope="col">
                                    <?php echo $text202; ?>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            while ($payment = mysqli_fetch_array($listUserpayments)) {
                                $PostLink = !empty($payment['slug']) ? $payment['slug'] : slugify($payment['name']);
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $payment['payment_id']; ?>
                                    </td>
                                    <td>
                                        <a target="_blank" class="text-tr text-decoration-none"
                                            href="<?php echo $url . '/group/' . $payment["id"] . '/' . $PostLink; ?>">
                                            <?php echo htmlspecialchars($payment['name']); ?>
                                        </a>
                                    </td>
                                    <th>
                                        <?php echo $payment['payment_status']; ?>
                                    </th>
                                    <th>
                                        <?php echo $payment['payment_method']; ?>
                                    </th>
                                    <th>
                                        <?php echo $payment['payment_date']; ?>
                                    </th>
                                    <th>
                                        <?php echo date('Y-m-d H:i:s', $payment['expire']); ?>
                                        <?php echo $payment['highlight_completed'] == '1' ? '<i class="bi bi-bookmark-check-fill text-success"></i>' : '<i class="bi bi-bookmark-star-fill"></i>'; ?>
                                    </th>
                                </tr>
                            <?php }
                            $listUserpayments->close(); ?>
                        </tbody>
                    </table>
                </div>
            <?php } else { ?>
                <p class="text-center">
                    <?php echo $text200; ?>
                </p>
            <?php } ?>
            <div class="dataTables_paginate">
                <?php echo $pagination; ?>
            </div>
        </div>
    </div>
    <?php include('includes/ads_banner_bottom.php'); ?>
</div>
</main>
<?php
include('includes/footer.php'); ?>