<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

include("init.php");
//Load Composer's autoloader
require 'vendor/autoload.php';


$htmlconfig = HTMLPurifier_Config::createDefault();
$htmlconfig->set('HTML.ForbiddenElements', 'script');
$purifier = new HTMLPurifier($htmlconfig);


$UploadDirectory = 'uploads/groups/';
if (!@file_exists($UploadDirectory)) {
    die('<div class="alert alert-danger">Make sure Upload directory exist!</div>');
}


if ($_POST) {

    if ($Settings['recaptcha_enable'] == 'on') {
        if (empty($_POST['g-recaptcha-response'])) {
            die('<div class="alert alert-danger" role="alert">' . $textadmin314 . '</div>');
        }
        $RetornaCaptcha = json_decode(file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $Settings['recaptcha_secretkey'] . '&response=' . $_POST['g-recaptcha-response']));
        if ($RetornaCaptcha->success === false) {
            die('<div class="alert alert-danger" role="alert">' . $textadmin313 . '</div>');
        }
    }



    if (!isset($_POST['name']) || strlen($_POST['name']) < 1) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text24 . '</div>');
    }


    if (!isset($_POST['description']) || strlen($_POST['description']) < 12) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text25 . '</div>');
    }


    $vmail = $_POST['email'];
    if (!filter_var($vmail, FILTER_VALIDATE_EMAIL)) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger">' . $text50 . '</div>');
    }


    if (!isset($_FILES['img_group'])) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text26 . '</div>');
    }


    if ($_FILES['img_group']['error']) { ?>
<script>
grecaptcha.reset();
</script>
<?php
        die(upload_errors($_FILES['img_group']['error']));
    }


    if (!isset($_POST['link']) || strlen($_POST['link']) > 1) {
        $CheckSource = $mysqli->escape_string($_POST['link']);
        if (!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $CheckSource)) {
            die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text27 . '</div>');
        }
    }

    if ($Settings['slug_enable'] == "on" && !isset($_POST['slug']) || strlen($_POST['slug']) < 1) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text85 . '</div>');
    }

    if (strlen($_POST['slug']) > $maximumslug) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . str_replace("%", $maximumslug,  $text86) .  '</div>');
    }


    $size       = getimagesize($_FILES['img_group']["tmp_name"]);
    $ImageName    = strtolower($_FILES['img_group']['name']);
    $name         = mysqli_real_escape_string($mysqli, $_POST['name']);
    $link         = mysqli_real_escape_string($mysqli, $_POST['link']);
    $email        = mysqli_real_escape_string($mysqli, $_POST['email']);
    $prohibitions = mysqli_real_escape_string($mysqli, $_POST['prohibitions']);
    $description  = mysqli_real_escape_string($mysqli, $_POST['description']);
    $description   = $purifier->purify($description);
    $platform     = mysqli_real_escape_string($mysqli, $_POST['platform']);
    $category     = mysqli_real_escape_string($mysqli, $_POST['category']);
    $ImageExt     = substr($ImageName, strrpos($ImageName, '.'));
    $FileType     = $_FILES['img_group']['type'];
    $FileSize     = $_FILES['img_group']["size"];
    $RandNumber   = rand(0, 9999999999);
    $delete       = rand(0, 9999999999);
    $link         = $mysqli->escape_string($_POST['link']);
    $date         = $data;
    $slug         = mysqli_real_escape_string($mysqli, $_POST['slug']);
    if (!empty($slug)) {
        $slug         = slugify($slug);
    }


    switch (strtolower($FileType)) {
        case 'image/png':
        case 'image/gif':
        case 'image/jpeg':
            break;
        default:

            die('<div class="alert alert-danger" role="alert">' . $text28 . '</div>');
    }


    $imgname = preg_replace(array('/\s/', '/\.[\.]+/', '/[^\w_\.\-]/'), array('_', '.', ''), strtolower($name));
    $imgname = $imgname . '_' . $RandNumber . $ImageExt;
    $img_dir =  $UploadDirectory . $imgname;



    if ($size[0] > 500 or $size[1] < 500) {
        resize_crop_image(500, 500, $_FILES['img_group']["tmp_name"], $img_dir);
    } else {
        move_uploaded_file($_FILES['img_group']["tmp_name"], $UploadDirectory . $imgname);
    }

    if ($email_on == 'on') {

        $code_email =  substr(uniqid(rand()), 0, 10);
        $link_cofirm_email = $url . "/confirm_email/" . $code_email;
        $e_subject  = $text68 . ' - ' . $sitename;
        $e_body     = str_replace('%', $name, $text69);
        include("includes/email_group_submit.php");
        if ($email_settings['phpmailer'] == 'on') {
            $mail = new PHPMailer(true);

            $mail->isSMTP();
            $mail->CharSet    = 'UTF-8';
            $mail->Encoding   = 'quoted-printable';
            $mail->Host       = $email_settings['host'];
            $mail->SMTPAuth   = ($email_settings['smtp_auth'] == 'on') ? true : false;
            $mail->Username   =  $email_settings['username'];
            $mail->Password   = $email_settings['password'];
            $mail->SMTPSecure = $email_settings['encrypt'];
            $mail->Port       = $email_settings['port'];

            $mail->setFrom($email_settings['mail'], $e_subject);
            $mail->addReplyTo($email_settings['mail'], $e_subject);

            $mail->isHTML(true);


            try {
                $mail->addAddress($email);

                $mail->Subject =  $text68 . ' - ' . $sitename;
                $mail->Body    = $message;
                $mail->AltBody = $message;

                $mail->send();
            } catch (Exception $e) {
                $mail->ErrorInfo;
            }

            $mail->clearAddresses();
            $mail->clearAttachments();
        } else {
            $e_content  = "\"$sitename\"\r\n\n";
            $msg        = $e_body . $e_content;
            $cabecalho  = 'MIME-Version: 1.0' . "\r\n";
            $cabecalho .= 'Content-type: text/html; charset=iso-8859-1;' . "\r\n";
            $cabecalho .= "X-Mailer: PHP/" . phpversion() . "\r\n";
            $cabecalho .= "Return-Path: $emailsite \r\n";
            $cabecalho .= "From: $emailsite \r\n";
            $cabecalho .= "Reply-To: $emailsite \r\n";


            mail($email, $e_subject, $message, $cabecalho);
        }


        $mysqli->query("INSERT INTO `groups`(`id`, `name`, `description`, `category`, `platform`, `image`, `featured`, `date`, `active`, `prohibitions`, `link`, `email`, `confirm_email`, `slug`) VALUES (NULL,'$name','$description','$category','$platform','$imgname','0','$date','2','$prohibitions','$link','$email','$code_email','$slug')");


    ?>
<script type="text/javascript">
function leave() {
    window.location = "/submit";
}
setTimeout("leave()", 1000);
</script>
<?php die('<div class="alert alert-success" role="alert">' . $text66 . '</div>');
    } else {

        $mysqli->query("INSERT INTO `groups`(`id`, `name`, `description`, `category`, `platform`, `image`, `featured`, `date`, `active`, `prohibitions`, `link`, `email`, `slug`) VALUES (NULL,'$name','$description','$category','$platform','$imgname','0','$date','$Active','$prohibitions','$link','$email','$slug')"); ?>

<script type="text/javascript">
function leave() {
    window.location = "/submit";
}
setTimeout("leave()", 1000);
</script>
<?php

        die('<div class="alert alert-success" role="alert">' . $text29 . '</div>');
    }
}

function upload_errors($err_code)
{
    switch ($err_code) {
        case UPLOAD_ERR_INI_SIZE:
            return 'The uploaded file exceeds the upload_max_filesize directive in php.ini';
        case UPLOAD_ERR_FORM_SIZE:
            return 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
        case UPLOAD_ERR_PARTIAL:
            return 'The uploaded file was only partially uploaded';
        case UPLOAD_ERR_NO_FILE:
            return 'No file was uploaded';
        case UPLOAD_ERR_NO_TMP_DIR:
            return 'Missing a temporary folder';
        case UPLOAD_ERR_CANT_WRITE:
            return 'Failed to write file to disk';
        case UPLOAD_ERR_EXTENSION:
            return 'File upload stopped by extension';
        default:
            return 'Unknown upload error';
    }
}