<?php

function paypal_token_acess($paypal_sandbox, $site_paypal_client_id, $site_paypal_secret_id)
{
    if (!empty($_SESSION['paypal_token'])) {

        if (time() <= $_SESSION['paypal_token']['expiration_timestamp']) {

            if (!empty($_SESSION['paypal_token']['access_token'])) {
                $access_token = $_SESSION['paypal_token']['access_token'];
            } else {
                $access_token = "";
            }
        }
    } else {
        $access_token = "";
    }

    if (empty($access_token)) {

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        if ($paypal_sandbox) {
            curl_setopt($ch, CURLOPT_URL, "https://api.sandbox.paypal.com/v1/oauth2/token");  //DUMMY
        } else {
            curl_setopt($ch, CURLOPT_URL, "https://api.paypal.com/v1/oauth2/token");  //LIVE
        }
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, "grant_type=client_credentials");
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_USERPWD, $site_paypal_client_id . ":" . $site_paypal_secret_id);
        $headers = array();
        $headers[] = "Accept: application/json";
        $headers[] = "Accept-Language: en_US";
        $headers[] = "Content-Type: application/x-www-form-urlencoded";
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        $result = curl_exec($ch);
        $data = json_decode($result);
        curl_close($ch);
        $access_token = $data->access_token;
        $timestamp_expiration = intval($data->expires_in) - 120;
        $_SESSION['paypal_token'] = [];
        $_SESSION['paypal_token']['access_token'] = $access_token;
        $_SESSION['paypal_token']['expiration_timestamp'] = time() + $timestamp_expiration;
        if ($access_token) {
            $access_token = $access_token;
        }
    }
    return $access_token;
}

function paypal_executePayment($access_token, $paypal_sandbox, $paymentID, $payerID)
{
    if ($paypal_sandbox) {
        $paypal_url = "https://api.sandbox.paypal.com/v1/payments/payment/" . $paymentID . "/execute/";
    } else {
        $paypal_url = "https://api.paypal.com/v1/payments/payment/" . $paymentID . "/execute/";
    }
    $authorization = "Authorization: Bearer " . $access_token;
    $data = ["payer_id" => $payerID];
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($ch, CURLOPT_URL, $paypal_url);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json', $authorization));
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $server_output = curl_exec($ch);
    curl_close($ch);
    return $server_output;
}

function paypal_server($access_token, $paypal_sandbox, $payment_data)
{

    $authorization = "Authorization: Bearer " . $access_token;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    if ($paypal_sandbox) {
        curl_setopt($ch, CURLOPT_URL, "https://api.sandbox.paypal.com/v1/payments/payment");
    } else {
        curl_setopt($ch, CURLOPT_URL, "https://api.paypal.com/v1/payments/payment");
    }
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json', $authorization));
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payment_data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $server_output = curl_exec($ch);
    curl_close($ch);

    return $server_output;
}
